Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfLegendPositionType

    java.lang.Object
      java.lang.Enum<OdfLegendPositionType>
          org.odftoolkit.odfdom.dom.type.chart.OdfLegendPositionType

All Implemented Interfaces:
  Serializable, Comparable<OdfLegendPositionType>

    public enum OdfLegendPositionType

extends Enum<OdfLegendPositionType>

DOM implementation of OpenDocument attribute chart:legend-position.

Enum Constant Summary
`BOTTOM`
`BOTTOM_END`
`BOTTOM_START`
`END`
`START`
`TOP`
`TOP_END`
`TOP_START`

Method Summary
`static OdfLegendPositionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfLegendPositionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfLegendPositionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfLegendPositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final OdfLegendPositionType TOP

### TOP_START

    public static final OdfLegendPositionType TOP_START

### END

    public static final OdfLegendPositionType END

### TOP_END

    public static final OdfLegendPositionType TOP_END

### BOTTOM

    public static final OdfLegendPositionType BOTTOM

### START

    public static final OdfLegendPositionType START

### BOTTOM_END

    public static final OdfLegendPositionType BOTTOM_END

### BOTTOM_START

    public static final OdfLegendPositionType BOTTOM_START

Method Detail

### values

    public static OdfLegendPositionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfLegendPositionType c : OdfLegendPositionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfLegendPositionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfLegendPositionType>`
  Returns:
    return the name of OdfLegendPositionType

### toString

    public static String toString(OdfLegendPositionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfLegendPositionType, see chart:legend-position
  Returns:
    return the name of OdfLegendPositionType

### enumValueOf

    public static OdfLegendPositionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfLegendPositionType
  Returns:
    return the constant of OdfLegendPositionType, see chart:legend-position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.